<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Stwqresult extends Model
{
    protected $table = 'st_wq_result';
    public $timestamps = false;

    function resultlist($list = 10, $page, $where = '', $orwhere = '')
    {
        if (is_array ($where) && count ($where) > 0) {
            $data = $this->join('st_wq_league','st_wq_result.lg_id','=','st_wq_league.id')->join('st_wq_competition','st_wq_competition.id','=','st_wq_result.match_id')->select($this->table.'.id',$this->table.'.home_player_name',$this->table.'.guest_player_name',$this->table.'.match_id','st_wq_result.first_score_player','st_wq_result.status','st_wq_result.last_score_player','st_wq_result.match_score','st_wq_result.update_time','st_wq_competition.match_time','st_wq_result.match_process',$this->table.'.home_player_score',$this->table.'.guest_player_score',$this->table.'.start_time','st_wq_league.name_chinese as saisname')->orderby('st_wq_result.id','desc')->where($where)->orwhere($orwhere)->paginate ($list);
        } else {   
            $data = $this->join('st_wq_league','st_wq_result.lg_id','=','st_wq_league.id')->join('st_wq_competition','st_wq_competition.id','=','st_wq_result.match_id')->select($this->table.'.id',$this->table.'.home_player_name',$this->table.'.guest_player_name',$this->table.'.match_id','st_wq_result.first_score_player','st_wq_result.status','st_wq_result.last_score_player','st_wq_result.match_score','st_wq_result.update_time','st_wq_competition.match_time','st_wq_result.match_process',$this->table.'.home_player_score',$this->table.'.guest_player_score',$this->table.'.start_time','st_wq_league.name_chinese as saisname')->orderby('st_wq_result.id','desc')->paginate ($list); 
        }

        return $data->toArray (); 

    }

    //查询赛事
    function matchjg($match_id){
        $data = $this->where('match_id',$match_id)->select('id','home_team','guest_team')->first();
        if (!$data) {
            return -5040000102; //无相关信息
        }
        return $data->toArray();
    }

    //更新状态
    function updatestatus($field,$where,$data){
        $res=$this->where($field,$where)->update($data);
        if(!$res) {
            return -7020050022;//更新失败
        }
        return 1;
    }
}

?>